Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002132TestLinkReportspublic2009-02-20 07:072014-07-28 20:33
Reporterkcurran 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0002132: testreport does not scale when high number of builds
DescriptionWe are planning for multiple builds per day with an automated process saving the test execution results per build ( via the xmlrpc interface).

The testreport does not scale in this scenario. Each new build is added to the left. Looks fine with a small set of builds however not so for a large number.

See attached screen shot

A solution is to request which set of builds to report on ( like the query report)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon testreport.png [^] (378,844 bytes) 2009-02-20 07:07
png file icon TestReportMockup.png [^] (103,876 bytes) 2009-02-21 02:30

- Relationships

-  Notes
(0005559)
kcurran (reporter)
2009-02-20 07:22

ok, I can't tell my left from my right.

the description should say "Each new build is added to the right."
(0005562)
fman (administrator)
2009-02-20 17:30

Please detail better your request (more detail, may be a mock up screen shoot)
(0005565)
kcurran (reporter)
2009-02-21 02:30

I've attached a mock-up.


With the form, you would select which set of builds you have to report on.

To review the problem, the current testreport adds a column for every build. As the number of builds exceeds the screen size, the browser is forced to generate a sliding bar on the bottom so the user can slide the window to view the new column.
This situation will become unusable when the number of columns(builds) exceed a small set.

In our environment, there will be over 300 builds for a release which means this behaviour is unacceptable.

- Issue History
Date Modified Username Field Change
2009-02-20 07:07 kcurran New Issue
2009-02-20 07:07 kcurran File Added: testreport.png
2009-02-20 07:22 kcurran Note Added: 0005559
2009-02-20 17:30 fman Note Added: 0005562
2009-02-21 02:30 kcurran Note Added: 0005565
2009-02-21 02:30 kcurran File Added: TestReportMockup.png
2012-08-18 06:31 fman Task Workflow Status => TBD
2014-06-07 18:07 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-06-07 18:07 fman Status new => resolved
2014-06-07 18:07 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-06-07 18:07 fman Resolution open => fixed
2014-06-07 18:07 fman Assigned To => fman
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker